#1879 closed defect (fixed)

ctime/atime Issue on IMFS, DOS, and RFS

Reported by: Joel Sherrill Owned by: Chris Johns
Priority: normal Milestone: 4.11
Component: fs Version: 4.11
Severity: normal Keywords:
Cc: strauman@…, sebastian.huber@…, gedare@…, medivhc@… Blocked By:
Blocking:

Description

The new file system tests have identified an issue with multiple file systems. Xiang has provided a patch for IMFS. But the DOS and RFS filesystem have this problem and a similar patch needs to be crafted for them.

Attachments (4)

pr1879.diff (1.1 KB) - added by Joel Sherrill on Aug 2, 2011 at 2:22:01 PM.
Patch for IMFS
fstime.diff (9.3 KB) - added by Xiang Cui on Aug 5, 2011 at 12:05:18 AM.
add time tests to cover rmdir unlink rename mkdir and creat
imfs.diff (4.0 KB) - added by Xiang Cui on Aug 5, 2011 at 12:10:51 AM.
imfs patch to review
rfstime.patch (1.9 KB) - added by Xiang Cui on Aug 10, 2011 at 12:39:50 PM.
patch for rfs to deal with the problem in the test

Download all attachments as: .zip

Change History (11)

Changed on Aug 2, 2011 at 2:22:01 PM by Joel Sherrill

Attachment: pr1879.diff added

Patch for IMFS

comment:1 Changed on Aug 2, 2011 at 2:22:14 PM by Joel Sherrill

Cc: Xiang Cui added

comment:2 Changed on Aug 2, 2011 at 2:22:27 PM by Joel Sherrill

Cc: Sebastian Huber added

comment:3 Changed on Aug 2, 2011 at 2:22:48 PM by Joel Sherrill

Cc: strauman added

Changed on Aug 5, 2011 at 12:05:18 AM by Xiang Cui

Attachment: fstime.diff added

add time tests to cover rmdir unlink rename mkdir and creat

Changed on Aug 5, 2011 at 12:10:51 AM by Xiang Cui

Attachment: imfs.diff added

imfs patch to review

Changed on Aug 10, 2011 at 12:39:50 PM by Xiang Cui

Attachment: rfstime.patch added

patch for rfs to deal with the problem in the test

comment:4 Changed on Apr 11, 2014 at 7:02:47 PM by Gedare Bloom

Cc: Gedare Bloom added

comment:5 Changed on Apr 26, 2014 at 6:52:10 AM by Chris Johns

The RFS has been fixed. Anything else remaining to be fixed with this PR ?

comment:6 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:7 Changed on Dec 18, 2014 at 11:00:22 AM by Sebastian Huber

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.